Cannot load package 'Tee924.'

TeeTree VCL for Borland Delphi and C++ Builder.
Post Reply
Diagnostica
Newbie
Newbie
Posts: 1
Joined: Fri Nov 15, 2002 12:00 am

Cannot load package 'Tee924.'

Post by Diagnostica » Tue Jun 14, 2016 9:43 am

We are getting following message after installing TeeChartVCLFMXSOURCE-2016.18.exe

Can't load package DclTeePro924.bpl. Cannot load package 'Tee924.' It contains unit 'VCLTee.TeeConst', which is also contained in package 'Tee9240'.
Can't load package DclTeeMaker124. Cannot load package 'Tee924.' It contains unit 'VCLTee.TeeConst', which is also contained in package 'Tee9240'.
Can't load package DclTree2D24Tee9. Cannot load package 'Tee924.' It contains unit 'VCLTee.TeeConst', which is also contained in package 'Tee9240'.

Windows 10 x64
Delphi 10.1
DevExpress VCL Products 15.2.6
QuickReport 5.06 Professional
TsiLang Components Suite 7.5.3.0

Any idea?

Yeray
Site Admin
Site Admin
Posts: 8704
Joined: Tue Dec 05, 2006 12:00 am
Location: Girona, Catalonia
Contact:

Re: Cannot load package 'Tee924.'

Post by Yeray » Tue Jun 14, 2016 9:59 am

Hello

The error message "Cannot load package Tee9XX. It contains unit *, which is also contained in package Tee9XX0" indicates that the TeeChart package that was shipped with the IDE (Tee9XX0) is still trying to be loaded, and this creates a conflict with the version you've just installed.
Note XX above refers to the IDE number. 24 for RAD 10.1 Berlin, 23 for RAD 10 Seattle, 22 for RAD XE8, 21 for RAD XE7, 20 for RAD XE6, 19 for RAD XE5, 18 for RAD XE4,...

There are two possible causes and solutions for this error:

- If the TeeChart Standard package shipped with the IDE (Tee9XX0) is present and selected in the list of packages in the IDE, please uncheck it. Then you should be able to select the TeeChart Pro/Std commercial package (Tee9XX) in the same list.

- There are some 3rd party tools (*) that can be referencing the TeeChart Standard package shipped with the IDE, and thus causing this conflict. Please try to uncheck temporally any 3rd party tool package you may have installed in the list of packages to try to identify which one is causing the conflict.
(*) Some known 3rd party tools using TeeChart Standard are: FastReports, DevExpress and ReportBuilder.
Steema Software supports the integration of TeeChart into QuickReport and IntraWeb. Any other integration is supported by the 3rd party tool manufacturer.
Best Regards,
ImageYeray Alonso
Development & Support
Steema Software
Av. Montilivi 33, 17003 Girona, Catalonia (SP)
Image Image Image Image Image Image Please read our Bug Fixing Policy

Valgardur Gudjonsson
Newbie
Newbie
Posts: 3
Joined: Fri Jan 20, 2017 12:00 am

Re: Cannot load package 'Tee924.'

Post by Valgardur Gudjonsson » Fri Feb 03, 2017 11:59 am

Thanks, only partially helpful, unchecking other products makes no difference, uninstalling DevExpress and FastReports works (at least no problems yet), but FastReports does not install again.

Still, calling for better error messages.. :D

Post Reply